const { ccclass, property } = cc._decorator

/**
 * 测试Spine设置材置BUG    (测试会发现 原Spine的缩放属性及位置属性都被重置了)    WEB正常  NATIVE异常
 */
@ccclass
export default class WelcomeScene extends cc.Component {
    @property([sp.Skeleton]) roleList: sp.Skeleton[] = []

    /**
     * 点击测试，测试会发现 原Spine的缩放属性及位置属性都被重置了
     */
    onTestMaterialClick(){
        this.roleList.forEach((skeleton)=>{
            skeleton.setMaterial(0,cc.Material.getInstantiatedBuiltinMaterial('2d-spine',skeleton))
        })
    }
}